How to use OpenGamma


#1

I’ve ‘opengamma-public-platform-src-1.1.0’ on my system, imported it in Eclipse. I want to calculate Exposure values from a set of trades. But i donot know where to start & how to initiate this. Can somebody help me out in doing that as soon as possible.
Thanks in advance.


#2

Dear jasbhatt,

Glad to know that you are interested in evaluating OpenGamma!

Did you manage to get the server running? Can you see the default portfolio analytics working on the WebUI?

There are a few ways to import your own trades. What types of securities are you trading, OTC or listed?

Regards,
Joan

OpenGamma | joan@opengamma.com | London | New York City
Tel: +44 20 3416 3314


#3

Hi Joan,
yes, i managed to get the server running with og-examples.bat ‘opengamma-public-platform-binary-1.1.0’ and i also saw the default portfolio analytics working on the WebUI but i’m unable to run the server using ‘opengamma-public-platform-src-1.1.0’ on which i’ve to work.

Do i need to use the libraries for my Exposure calculations?

I’m unable to import my listed Interest Rate Swap trades.
Will you please help me to do that?


#4

Hi Joan,
yes, i managed to get the server running with og-examples.bat ‘opengamma-public-platform-binary-1.1.0’ and i also saw the default portfolio analytics working on the WebUI but i’m unable to run the server using ‘opengamma-public-platform-src-1.1.0’ on which i’ve to work.

Do i need to use the libraries for my Exposure calculations?

I’m unable to import my listed Interest Rate Swap trades.
Will you please help me to do that?


#5

Hi jasbhatt,

Because you downloaded the source bundle I am guessing you are trying to follow the “Developing with the OpenGamma Source Code” part of the documentation? at what step do you get the problem? is there an error message?

We definitely encourage people to inspect and use the source code, but I am thinking that if your only requirement is to load some swaps it is probably less complex to use the binary distribution. Is there any extra requirements that lead you to try to use the source bundle?

OpenGamma | joan@opengamma.com | London | New York City
Tel: +44 20 3416 3314